ABORT(3)

NAME
abort - generate a fault

SYNOPSIS
abort()

DESCRIPTION

abort() first closes all open files if possible, then sends an IOT signal to the process. This signal usually results in termination with a core dump, which may be used for debugging.

It is possible for abort() to return control if SIGIOT is caught or ignored, in which case the value returned is that of the kill(2V) system call.

SEE ALSO
adb(1), exit(2V), kill(2V), signal(3V)

DIAGNOSTICS

If SIGIOT is neither caught nor ignored, and the current directory is writable, a core dump is produced and the message `abort - core dumped' is written by the shell.